/**
 * DevExtreme (esm/renovation/components.js)
 * Version: 22.2.3 (build 23009-0307)
 * Build date: Mon Jan 09 2023
 *
 * Copyright (c) 2012 - 2023 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
module.exports = [{
    name: "Button",
    pathInRenovationFolder: "ui/button.j",
    pathInJSFolder: "ui/button.js"
}, {
    name: "CheckBox",
    pathInRenovationFolder: "ui/editors/check_box/check_box.j",
    pathInJSFolder: "ui/check_box.js"
}, {
    name: "Scheduler",
    pathInRenovationFolder: "ui/scheduler/scheduler.j",
    pathInJSFolder: "ui/scheduler.js",
    inProgress: true
}, {
    name: "Pager",
    pathInRenovationFolder: "ui/pager/pager.j",
    pathInJSFolder: "ui/pager.js",
    pathToWrapper: "/testing/helpers/renovationPagerHelper.js"
}];
