/**
* DevExtreme (ui.grid_core.editing_constants.js)
* Version: 22.2.3 (build 23009-0307)
* Build date: Mon Jan 09 2023
*
* Copyright (c) 2012 - 2023 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
export const EDITOR_CELL_CLASS = 'dx-editor-cell';
export const ROW_CLASS = 'dx-row';
export const CELL_MODIFIED_CLASS = 'dx-cell-modified';
export const ROW_SELECTED_CLASS = 'dx-selection';
export const EDIT_FORM_CLASS = 'edit-form';

export const DATA_EDIT_DATA_INSERT_TYPE = 'insert';
export const DATA_EDIT_DATA_REMOVE_TYPE = 'remove';

export const EDITING_POPUP_OPTION_NAME = 'editing.popup';
export const EDITING_FORM_OPTION_NAME = 'editing.form';
export const EDITING_EDITROWKEY_OPTION_NAME = 'editing.editRowKey';
export const EDITING_EDITCOLUMNNAME_OPTION_NAME = 'editing.editColumnName';

export const TARGET_COMPONENT_NAME = 'targetComponent';

export const EDITORS_INPUT_SELECTOR = 'input:not([type=\'hidden\'])';
export const FOCUSABLE_ELEMENT_SELECTOR = '[tabindex], ' + EDITORS_INPUT_SELECTOR;

export const EDIT_MODE_BATCH = 'batch';
export const EDIT_MODE_ROW = 'row';
export const EDIT_MODE_CELL = 'cell';
export const EDIT_MODE_FORM = 'form';
export const EDIT_MODE_POPUP = 'popup';

export const FIRST_NEW_ROW_POSITION = 'first';
export const LAST_NEW_ROW_POSITION = 'last';
export const PAGE_BOTTOM_NEW_ROW_POSITION = 'pageBottom';
export const PAGE_TOP_NEW_ROW_POSITION = 'pageTop';
export const VIEWPORT_BOTTOM_NEW_ROW_POSITION = 'viewportBottom';
export const VIEWPORT_TOP_NEW_ROW_POSITION = 'viewportTop';

export const EDIT_MODES = [EDIT_MODE_BATCH, EDIT_MODE_ROW, EDIT_MODE_CELL, EDIT_MODE_FORM, EDIT_MODE_POPUP];
export const ROW_BASED_MODES = [EDIT_MODE_ROW, EDIT_MODE_FORM, EDIT_MODE_POPUP];
export const MODES_WITH_DELAYED_FOCUS = [EDIT_MODE_ROW, EDIT_MODE_FORM];
